struct Uniforms {
    u_color: vec4f,
};

@group(0) @binding(0)
var<uniform> uniforms: Uniforms;

struct VertexOutput {
    @builtin(position) position: vec4f,
    @location(0) v_color: vec4f,
};

@fragment
fn main(input: VertexOutput) -> @location(0) vec4f {
    return input.v_color * uniforms.u_color;
}

