import { Engine, Render } from '../../core/engine.js'
import { render } from './systems/index.js'

/**
 * @param {Engine} engine
 */
export const RendererPlugin = engine => {
    engine.addSystem(Render, render(engine.world))
}

