import { Matrix4x4 } from '../../../components/math.js'
import { createRelation } from '/src/ecs.js'

// Local transform, relative to parent
export const Transform = {
    matrix: Matrix4x4()

}

export const GlobalTransform = {
    matrix: Matrix4x4()
}

export const ChildOf = createRelation({ autoRemoveSubject: true, exclusive: true })

