export const capitalizen = (n, str) => {
    str.slice(0, n).toUpperCase() + str.slice(n)
}

/**
 * @param {Object} a
 * @param {Object} b
 */
export const assignOptions = (a, b) => {
    const props = Object.entries(b)
        .map(([key, value]) => [`#${key}`, value])

    Object.assign(a, Object.fromEntries(props))
}
export const trampoline = (f, ...args) => {
    let x = f(...args)

    while (typeof x === 'function') {
        x = x()
    }

    return x
}

export const isObject = value => {
    return Object.getPrototypeOf(value) === Object.prototype
}

